classification
Title: test_SEH() of test_ctypes logs "Windows fatal exception: access violation"
Type: Stage: resolved
Components: Windows Versions: Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: paul.moore, steve.dower, tim.golden, vstinner, zach.ware
Priority: normal Keywords:

Created on 2017-04-21 12:23 by vstinner, last changed 2017-05-02 14:35 by vstinner. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 1237 merged vstinner, 2017-04-21 12:23
PR 1240 merged vstinner, 2017-04-21 15:43
PR 1243 merged vstinner, 2017-04-21 16:15
PR 1343 merged vstinner, 2017-04-28 13:42
Messages (6)
msg292030 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-04-21 12:23
Attached PR removes the following scary log.

http://buildbot.python.org/all/builders/AMD64%20Windows8.1%20Non-Debug%203.x/builds/655/steps/test/logs/stdio

Windows fatal exception: access violation

Current thread 0x00000b88 (most recent call first):
  File "D:\buildarea\3.x.ware-win81-release\build\lib\unittest\case.py", line 178 in handle
  File "D:\buildarea\3.x.ware-win81-release\build\lib\unittest\case.py", line 733 in assertRaises
  File "D:\buildarea\3.x.ware-win81-release\build\lib\ctypes\test\test_win32.py", line 47 in test_SEH
  File "D:\buildarea\3.x.ware-win81-release\build\lib\unittest\case.py", line 605 in run
  File "D:\buildarea\3.x.ware-win81-release\build\lib\unittest\case.py", line 653 in __call__
  File "D:\buildarea\3.x.ware-win81-release\build\lib\unittest\suite.py", line 122 in run
  File "D:\buildarea\3.x.ware-win81-release\build\lib\unittest\suite.py", line 84 in __call__
  File "D:\buildarea\3.x.ware-win81-release\build\lib\unittest\suite.py", line 122 in run
  File "D:\buildarea\3.x.ware-win81-release\build\lib\unittest\suite.py", line 84 in __call__
  File "D:\buildarea\3.x.ware-win81-release\build\lib\unittest\suite.py", line 122 in run
  File "D:\buildarea\3.x.ware-win81-release\build\lib\unittest\suite.py", line 84 in __call__
  File "D:\buildarea\3.x.ware-win81-release\build\lib\unittest\suite.py", line 122 in run
  File "D:\buildarea\3.x.ware-win81-release\build\lib\unittest\suite.py", line 84 in __call__
  File "D:\buildarea\3.x.ware-win81-release\build\lib\unittest\suite.py", line 122 in run
  File "D:\buildarea\3.x.ware-win81-release\build\lib\unittest\suite.py", line 84 in __call__
  File "D:\buildarea\3.x.ware-win81-release\build\lib\unittest\runner.py", line 176 in run
  File "D:\buildarea\3.x.ware-win81-release\build\lib\test\support\__init__.py", line 1896 in _run_suite
  File "D:\buildarea\3.x.ware-win81-release\build\lib\test\support\__init__.py", line 1930 in run_unittest
  File "D:\buildarea\3.x.ware-win81-release\build\lib\test\libregrtest\runtest.py", line 164 in test_runner
  File "D:\buildarea\3.x.ware-win81-release\build\lib\test\libregrtest\runtest.py", line 165 in runtest_inner
  File "D:\buildarea\3.x.ware-win81-release\build\lib\test\libregrtest\runtest.py", line 119 in runtest
  File "D:\buildarea\3.x.ware-win81-release\build\lib\test\libregrtest\runtest_mp.py", line 71 in run_tests_slave
  File "D:\buildarea\3.x.ware-win81-release\build\lib\test\libregrtest\main.py", line 470 in _main
  File "D:\buildarea\3.x.ware-win81-release\build\lib\test\libregrtest\main.py", line 463 in main
  File "D:\buildarea\3.x.ware-win81-release\build\lib\test\libregrtest\main.py", line 527 in main
  File "D:\buildarea\3.x.ware-win81-release\build\lib\test\regrtest.py", line 46 in _main
  File "D:\buildarea\3.x.ware-win81-release\build\lib\test\regrtest.py", line 50 in <module>
  File "D:\buildarea\3.x.ware-win81-release\build\lib\runpy.py", line 85 in _run_code
  File "D:\buildarea\3.x.ware-win81-release\build\lib\runpy.py", line 193 in _run_module_as_main
msg292057 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-04-21 16:06
New changeset 46c2b81026bbf966c0898a1fa30d98c33673aea0 by Victor Stinner in branch 'master':
bpo-30125: Fix faulthandler.disable() on Windows (#1240)
https://github.com/python/cpython/commit/46c2b81026bbf966c0898a1fa30d98c33673aea0
msg292078 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-04-21 21:17
New changeset 3a8f8ea2aca46f9ef1e715f2c924357b6719525f by Victor Stinner in branch '3.6':
bpo-30125: Fix faulthandler.disable() on Windows (#1243)
https://github.com/python/cpython/commit/3a8f8ea2aca46f9ef1e715f2c924357b6719525f
msg292081 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-04-21 22:31
New changeset a36e939aeb3b5a2c56561eb24f0e339eee9f3f9d by Victor Stinner in branch 'master':
bpo-30125: disable faulthandler in ctypes test_SEH (#1237)
https://github.com/python/cpython/commit/a36e939aeb3b5a2c56561eb24f0e339eee9f3f9d
msg292533 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-04-28 14:06
New changeset e005dd9a6da7dfa34f47a6989a7e0a6b1ad04949 by Victor Stinner in branch '3.6':
bpo-30125: disable faulthandler in ctypes test_SEH (#1237) (#1343)
https://github.com/python/cpython/commit/e005dd9a6da7dfa34f47a6989a7e0a6b1ad04949
msg292765 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-05-02 14:35
faulthandler.disable() has been fixed on Windows in Python 3.6 and master (3.7).

The test_ctypes warning has been made quiet in Python 3.6 and master (3.7) as well.
History
Date User Action Args
2017-05-02 14:35:25vstinnersetstatus: open -> closed
resolution: fixed
messages: + msg292765

stage: resolved
2017-04-28 14:06:50vstinnersetmessages: + msg292533
2017-04-28 13:42:55vstinnersetpull_requests: + pull_request1455
2017-04-21 22:31:15vstinnersetmessages: + msg292081
2017-04-21 21:17:35vstinnersetmessages: + msg292078
2017-04-21 16:15:23vstinnersetpull_requests: + pull_request1361
2017-04-21 16:06:15vstinnersetmessages: + msg292057
2017-04-21 15:43:40vstinnersetpull_requests: + pull_request1358
2017-04-21 12:23:48vstinnersetpull_requests: + pull_request1355
2017-04-21 12:23:18vstinnercreate